// #ifndef VUE3
import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
// #endif

// #ifdef VUE3
import { createStore } from 'vuex'
const store = createStore({
// #endif
	state: {
		userName: '11',
		allIncome: 0,
		withdrawIncome: 0,
		noun: 0, //积分
		location: {'lat':0, 'lng':0}, //经纬度
		searchHistoryList: [],
		searchHotlist: [],
		goodsData:{}, //提交订单的商品数据
		goodsShopList: [], //当前商品适用店铺列表
		userInfo:{},  // 用户信息
		userSelectAddress: {}, //提单选择的地址
		userDefaultAddress: {}, //进入商品详情的默认地址
		cityInfo: {},  //首页选择地址信息
		hasLogin: false,
		wxCustomerIsOpening: false,
		dotInfo: {requestNum:1} //打点需要的设备信息以及版本信息
	},
	mutations: {
		refreshUserLogin(state, isLogin) {
			state.hasLogin = isLogin
		},
		refreshUserInfo(state, userInfo) {
			state.userInfo = userInfo
		},
		refreshGoodsData(state, goodsData) {
			state.goodsData = goodsData
		},
		refreshAllIncome(state, allIncome) {
			state.allIncome = allIncome
		},
		refreshNoun(state, noun) {
			state.noun = noun
		},
		refreshLocation(state, newLocation) {
			state.location = newLocation
		},
		initSearchHotList (state, datas) {
			state.searchHotlist = datas
		},
		initSearchHistory (state, datas) {
			state.searchHistoryList = datas
		},
		refreshSearchHistoryList(state, searchKeyWord) {
			let currentHList = state.searchHistoryList
			if (currentHList.indexOf(searchKeyWord) > -1) {
				//搜索历史存在此搜索词，直接删掉
				currentHList.splice(currentHList.indexOf(searchKeyWord), 1)
			} else if (currentHList.length == 10 && currentHList.indexOf(searchKeyWord) <= -1) {
				// 搜索历史没有这个搜索词并已经满了10个，删掉最后一个
				currentHList.splice(9, 1)
			}
			currentHList.unshift(searchKeyWord);
			uni.setStorage({
				key: 'search_cache',
				data: currentHList
			});
			state.searchHistoryList = currentHList
		},
		deleteHis (state) {
			state.searchHistoryList = []
			uni.setStorage({
				key: 'search_cache',
				data: []
			});
		},
		initGoodsShopList (state, datas) {
			state.goodsShopList = datas
		},
		initUserAddress (state, address) {
			state.userSelectAddress = address
		},
		initUserDefaultAddress (state, address) {
			state.userDefaultAddress = address
		},
		initUserCityInfo (state, cityInfo) {
			state.cityInfo = cityInfo
		},
		initSystemInfo (state, systemInfo) {
			state.dotInfo.systemInfo = systemInfo
		},
		initVersionInfo (state, versionInfo) {
			state.dotInfo.versionInfo = versionInfo
		},
		initIP (state, ip) {
			state.dotInfo.ip = ip
		},
		initOpenTime (state, time) {
			state.dotInfo.openTime = time
		},
		addDotRequestNum (state) {
			state.dotInfo.requestNum++
		},
		refreshWxCustomerOpeningStatus (state, status) {
			state.wxCustomerIsOpening = status
		}
	},
	getters: {
		
	},
	actions: {
		// 可以异步调用 coommit
	}
})

export default store
